checking tool for gettext POT, PO and MO files
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
data
doc
lib
private
tests
.coveragerc
.gitignore
.pylintrc
.travis.yml
LICENSE
Makefile
README.rst
i18nspector

README.rst

Overview

i18nspector is a tool for checking translation templates (POT), message catalogues (PO) and compiled message catalogues (MO) files for common problems. These files are used by the GNU gettext translation functions and tools in many different development environments.

Prerequisites

The following software is needed to run i18nspector:

  • Python ≥ 3.3.3;
  • polib ≥ 1.0.0, a gettext catalogs manipulation library;
  • RPLY, a parser generator.

Additionally, the following software is needed to rebuild the manual page from source:

For pip users:

python3 -m pip install polib rply
python3 -m pip install docutils

For Debian users:

apt-get install python3-polib python3-rply
apt-get install python3-docutils